{{- with resources.Get "js/main.js" }}
{{ $opts := dict
  "minify" hugo.IsProduction
  "sourceMap" (cond hugo.IsProduction "" "external")
  "targetPath" "js/main.js"
  "params" (dict
    "baseDomain" site.Params.BaseDomain
    "title" site.Title
    "code_history_max_length" 10
  )
}}
  {{- if eq hugo.Environment "development" }}
    {{- with . | js.Build $opts }}
      <script src="{{ .RelPermalink }}"></script>
    {{- end }}
  {{- else }}
    {{- with . | js.Build $opts | fingerprint }}
      <script src="{{ .RelPermalink }}" integrity="{{- .Data.Integrity }}" crossorigin="anonymous"></script>
    {{- end }}
  {{- end }}
{{- end }}

